Groovy 1.7.0

## groovy.jmx.builder
Class JmxBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              groovy.util.FactoryBuilderSupport
                  groovy.jmx.builder.JmxBuilder

    class JmxBuilder
    extends FactoryBuilderSupport

This is JmxBuilder's factory builder class. It is the parent node to all other children nodes supported by JmxBuilder.

author:
  Vladimir Vivien

Field Summary

Fields inherited from class FactoryBuilderSupport
attributeDelegates, autoRegistrationComplete, autoRegistrationRunning, explicitMethods, explicitProperties, postInstantiateDelegates, postNodeCompletionDelegates, preInstantiateDelegates, registrationGroup, registrationGroupName

Constructor Summary
`JmxBuilder()`
`JmxBuilder(MBeanServerConnection svrConnection)`

Method Summary
`String` | `getDefaultJmxNameDomain()`
`String` | `getDefaultJmxNameType()`
`MBeanServerConnection` | `getMBeanServer()`
`String` | `getMode()`
`protected void` | `registerFactories()`
`protected Factory` | `resolveFactory(Object name, Map attributes, Object value)`
`void` | `setDefaultJmxNameDomain(String domain)`
`void` | `setDefaultJmxNameType(String type)`
`void` | `setMBeanServer(MBeanServerConnection svr)`
`void` | `setMode(String mode)`

Methods inherited from class FactoryBuilderSupport

addAttributeDelegate, addDisposalClosure, addPostInstantiateDelegate, addPostNodeCompletionDelegate, addPreInstantiateDelegate, autoRegisterNodes, build, build, build, checkExplicitMethod, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, createNode, dispathNodeCall, dispose, getAttributeDelegates, getChildBuilder, getContext, getContextAttribute, getContexts, getContinuationData, getCurrent, getCurrentBuilder, getCurrentFactory, getCurrentName, getExplicitMethods, getExplicitProperties, getFactories, getLocalExplicitMethods, getLocalExplicitProperties, getLocalFactories, getName, getNameMappingClosure, getParentContext, getParentFactory, getParentName, getParentNode, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getPreInstantiateDelegates, getProperty, getProxyBuilder, getRegistrationGroupItems, getRegistrationGroups, getVariable, getVariables, handleNodeAttributes, invokeMethod, invokeMethod, newContext, nodeCompleted, popContext, postInstantiate, postNodeCompletion, preInstantiate, registerBeanFactory, registerBeanFactory, registerExplicitMethod, registerExplicitMethod, registerExplicitProperty, registerExplicitProperty, registerFactory, registerFactory, removeAttributeDelegate, removePostInstantiateDelegate, removePostNodeCompletionDelegate, removePreInstantiateDelegate, reset, resolveExplicitMethod, resolveExplicitProperty, resolveFactory, restoreFromContinuationData, setClosureDelegate, setNameMappingClosure, setNodeAttributes, setParent, setProperty, setProxyBuilder, setVariable, withBuilder, withBuilder, withBuilder

Methods inherited from class Binding
getProperty, getVariable, getVariables, setProperty, setVariable

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### JmxBuilder

    public JmxBuilder()

### JmxBuilder

    public JmxBuilder(MBeanServerConnection svrConnection)

Method Detail

### getDefaultJmxNameDomain

    public String getDefaultJmxNameDomain()

### getDefaultJmxNameType

    public String getDefaultJmxNameType()

### getMBeanServer

    public MBeanServerConnection getMBeanServer()

### getMode

    public String getMode()

### registerFactories

    protected void registerFactories()

### resolveFactory

    protected Factory resolveFactory(Object name, Map attributes, Object value)

### setDefaultJmxNameDomain

    public void setDefaultJmxNameDomain(String domain)

### setDefaultJmxNameType

    public void setDefaultJmxNameType(String type)

### setMBeanServer

    public void setMBeanServer(MBeanServerConnection svr)

### setMode

    public void setMode(String mode)

Copyright © 2003-2009 The Codehaus. All rights reserved.